# GroovyCodeQualityPluginConvention

API Documentation: | `GroovyCodeQualityPluginConvention`

### Properties

Property | Description
`codeNarcConfigFile` | The CodeNarc configuration file.
`codeNarcConfigFileName` | The name of the CodeNarc configuration file, relative to the project directory.
`codeNarcReportsDir` | The directory to write CodeNarc reports into.
`codeNarcReportsDirName` | The name of the directory to write CodeNarc reports into.

### Property details

#### `File` `codeNarcConfigFile` (read-only)

The CodeNarc configuration file.

Default with `code-quality` and `groovy` plugin:
  ``${project.projectDir}`/`${project.codeNarcConfigFileName}``

#### `String` `codeNarcConfigFileName`

The name of the CodeNarc configuration file, relative to the project directory.

Default with `code-quality` and `groovy` plugin:
  `'config/codenarc/codenarc.xml'`

#### `File` `codeNarcReportsDir` (read-only)

The directory to write CodeNarc reports into.

Default with `code-quality` and `groovy` plugin:
  ``${project.reporting.baseDir}`/`${project.codeNarcReportsDirName}``

#### `String` `codeNarcReportsDirName`

The name of the directory to write CodeNarc reports into.

Default with `code-quality` and `groovy` plugin:
  `'codenarc'`

### Script blocks

No script blocks

### Methods

No methods